<?php
/*
Plugin Name: Smart Footer
Plugin URI: https://example.com
Description: This plugin displays a footer bar with the copyright, current year, and site title on the left side and the contact email of the WordPress admin on the right side.
Version: 1.0
Author: wpprocode
Author URI: https://wpprocode.cz
*/
function output_footer_bar_with_email() {
  $current_year = date('Y');
  $site_title = get_bloginfo('name');
  $copyright = 'Copyright &copy; ' . $current_year . ' ' . $site_title;
  $admin_email = get_option('admin_email');
  $output = '<div style="background-color:black;color:white;padding:20px;display:flex;">';
  $output .= '<div style="flex:1;">';
  $output .= $copyright;
  $output .= '</div>';
  $output .= '<div style="flex:1;text-align:right;">';
  $output .= 'Contact: <a href="mailto:' . $admin_email . '" style="color:white;">' . $admin_email . '</a>';
  $output .= '</div>';
  $output .= '</div>';
  echo $output;
}
add_action('wp_footer', 'output_footer_bar_with_email');